Bug 234731 - net/freerdp: Fix build with LibreSSL 2.9.0 (libressl-devel)
Summary: net/freerdp: Fix build with LibreSSL 2.9.0 (libressl-devel)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kyle Evans
URL: https://github.com/FreeRDP/FreeRDP/pu...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-08 05:15 UTC by Koichiro Iwao
Modified: 2019-01-28 09:58 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (kevans)
meta: merge-quarterly+


Attachments
backport-upstream-patch-libressl-2.9 (1.38 KB, text/plain)
2019-01-08 05:15 UTC, Koichiro Iwao
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2019-01-08 05:15:22 UTC
Created attachment 200901 [details]
backport-upstream-patch-libressl-2.9

Reported to upstream and fixed. Patch obtained from upstream.

https://github.com/FreeRDP/FreeRDP/pull/5183
Comment 1 Koichiro Iwao freebsd_committer 2019-01-08 05:19:42 UTC
testbuild@12-STABLE succeeded. 
I mentioned the issue in bug 234198.
Comment 2 Koichiro Iwao freebsd_committer 2019-01-15 08:57:43 UTC
ping
Comment 3 Koichiro Iwao freebsd_committer 2019-01-28 07:02:15 UTC
Maintainer timeout.
Comment 4 commit-hook freebsd_committer 2019-01-28 08:42:44 UTC
A commit references this bug:

Author: meta
Date: Mon Jan 28 08:42:12 UTC 2019
New revision: 491461
URL: https://svnweb.freebsd.org/changeset/ports/491461

Log:
  net/freerdp: Fix build with LibreSSL 2.9.0 (libressl-devel)

  PR:		234731
  Obtained from:	https://github.com/FreeRDP/FreeRDP/pull/5183
  MFH:		2019Q1
  Sponsored by:	HAW International, Inc.

Changes:
  head/net/freerdp/Makefile
  head/net/freerdp/distinfo
Comment 5 commit-hook freebsd_committer 2019-01-28 09:44:36 UTC
A commit references this bug:

Author: meta
Date: Mon Jan 28 09:44:05 UTC 2019
New revision: 491470
URL: https://svnweb.freebsd.org/changeset/ports/491470

Log:
  MFH: r491461

  net/freerdp: Fix build with LibreSSL 2.9.0 (libressl-devel)

  PR:		234731
  Obtained from:	https://github.com/FreeRDP/FreeRDP/pull/5183
  Sponsored by:	HAW International, Inc.

  Approved by:	portmgr (miwi)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/net/freerdp/Makefile
  branches/2019Q1/net/freerdp/distinfo
Comment 6 Koichiro Iwao freebsd_committer 2019-01-28 09:58:28 UTC
Committed.